using System;
using System.Collections.Generic;
namespace MyApp // Note: actual namespace depends on the project name.
{
    internal class Program
    {
       
        static void Main(string[] args)
        {                         
            string[] prvi = Console.ReadLine().Split();
            int n = int.Parse(prvi[0]);
            int q = int.Parse(prvi[1]);
            int gore = 0;
            int dole = 0;
            int dodato = 0;
            string[] gl = Console.ReadLine().Split();
            List<int> glasovi = new List<int>();
            for (int i = 0; i < n; i++)
            {
                glasovi.Add(int.Parse(gl[i]));
            }
            List<int> pocetniglasovi = glasovi;
            glasovi.Sort();
            string[] md = Console.ReadLine().Split();
            List<int>medijane=new List<int>();
            for (int i = 0; i < q; i++)
            {
                medijane.Add(int.Parse(md[i]));
            }
            for (int i = 0; i < md.Length; i++)
            {
                if(!glasovi.Contains(medijane[i]))
                {
                    glasovi.Add(medijane[i]);
                    glasovi.Sort();
                    dodato = 1;
                }
                while (glasovi[(glasovi.Count()+gore)/2]!=medijane[i])
                {
                    gore++;
                }
                while (glasovi[(glasovi.Count() -dole) / 2] != medijane[i]&& glasovi.Count() - dole>=0)
                {                
                    dole++;
                }
                Console.WriteLine(Math.Min(gore, dole)+dodato);
                gore = 0;
                dole = 0;
                if (dodato == 1)
                {
                    glasovi.Clear();
                    for (int j = 0; j < n; j++)
                    {
                        glasovi.Add(int.Parse(gl[j]));
                    }
                }
                dodato = 0;
                
            }
        }
    }
}